export declare class EclMediaContainer {
  el: HTMLElement;
  theme: string;
  styleClass: string;
  alt: string;
  description: string;
  image: string;
  fullWidth: boolean;
  sources: string;
  tracks: string;
  ratio: string;
  eclScript: boolean;
  withUtils: boolean;
  embeddedMedia: boolean;
  getClass(): string;
  componentWillLoad(): void;
  render(): any;
}
